> For the complete documentation index, see [llms.txt](https://docs.thedex.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thedex.cloud/documentation/payouts/fetch-payout.md).

# Fetch payout

<mark style="color:green;">`POST`</mark> `https://app.thedex.cloud/api/v1/payouts/one`

#### Headers

| Name                                             | Type   | Description                        |
| ------------------------------------------------ | ------ | ---------------------------------- |
| X-EX-APIKEY<mark style="color:red;">\*</mark>    | String | Your API key                       |
| X-EX-PAYLOAD<mark style="color:red;">\*</mark>   | String | Body to base64                     |
| X-EX-SIGNATURE<mark style="color:red;">\*</mark> | String | Encrypted body with the secret key |

#### Request Body

```json
{
    "payoutId": "String"
}
```

**Request JSON attributes**

| Name                                       | Type   | Description          |
| ------------------------------------------ | ------ | -------------------- |
| payoutId<mark style="color:red;">\*</mark> | String | ID of payout to find |

**Response Body**

{% tabs %}
{% tab title="200 payout" %}

```json
{
   "id": "String",
   "status": "Integer",
   "statusName": "String",
   "fiatCurrency": "String",
   "fiatAmount": "String",
   "payCurrency": "String",
   "address": "String",
   "fromAddress": "String",
   "memo": "Integer",
   "createDate":"String",
   "modifiedDate":"String",
   "transactionId":"String",
   "withdrawalAmount":"String",
   "transferAmount":"String",
   "blockchainFee":"String",
   "payoutCommissionPercentage":"String",
   "isApiCalled":"Boolean",
   "uniqueUserId":"String",
   "description":"String",
   "merchantId":"String",
   "callbackUrl":"String",
   "creationWay":"String"
}
```

{% endtab %}
{% endtabs %}

**Response JSON attributes**

<table data-header-hidden><thead><tr><th width="326"></th><th width="116.33333333333331"></th><th></th></tr></thead><tbody><tr><td><code>"id"</code></td><td><code>String</code></td><td>Payout id</td></tr><tr><td><code>"status"</code></td><td><code>Integer</code></td><td>reach out all accessed values by link: <a href="/pages/z3ihQbPDAepeTxdumQ0z"><code>/api/v1/info/statuses</code></a></td></tr><tr><td><code>"statusName"</code></td><td><code>String</code></td><td>reach out all accessed values by link: <a href="/pages/z3ihQbPDAepeTxdumQ0z"><code>/api/v1/info/statuses</code></a></td></tr><tr><td><code>"fiatCurrency"</code></td><td><code>String</code></td><td>Fiat currency</td></tr><tr><td><code>"payCurrency"</code></td><td><code>String</code></td><td>Cryptocurrency</td></tr><tr><td><code>"address"</code></td><td><code>String</code></td><td>Address is used to widthrawal</td></tr><tr><td><code>"memo"</code></td><td><code>Integer</code></td><td>Additional destination info</td></tr><tr><td><code>createDate</code></td><td><code>String</code></td><td>Creation date</td></tr><tr><td><code>"modifiedDate"</code></td><td><code>String</code></td><td>Modification date</td></tr><tr><td><code>"transactionId"</code></td><td><code>String</code></td><td>Transaction id</td></tr><tr><td><code>"withdrawalAmount"</code></td><td><code>String</code></td><td>Withdrawal amount</td></tr><tr><td><code>"transferAmount"</code></td><td><code>String</code></td><td>Transfer amount</td></tr><tr><td><code>"blockchainFee"</code></td><td><code>String</code></td><td>Blockchain fee</td></tr><tr><td><code>"payoutCommissionPercentage"</code></td><td><code>String</code></td><td>Payout commission in percentage</td></tr><tr><td><code>"isApiCalled"</code></td><td><code>Boolean</code></td><td>Always true for this API</td></tr><tr><td><code>"uniqueUserId"</code></td><td><code>String</code></td><td>User UUID</td></tr><tr><td><code>"description"</code></td><td><code>String</code></td><td>Description</td></tr><tr><td><code>"merchantId"</code></td><td><code>String</code></td><td>Merchant id</td></tr><tr><td><code>"callbackUrl"</code></td><td><code>String</code></td><td>Callback url</td></tr><tr><td><code>"creationWay"</code></td><td><code>String</code></td><td>How payout was created (e.g. with "API" , on "UI")</td></tr><tr><td><code>"fiatAmount"</code></td><td><code>String</code></td><td>Fiat amount of payout</td></tr><tr><td><code>"fromAddress"</code></td><td><code>String</code></td><td>Address from which payout was made</td></tr></tbody></table>

**Request Curl**

```powershell
curl --location --request POST 'https://app.thedex.cloud/api/v1/payouts/one' \
--header 'X-EX-APIKEY: <string>' \
--header 'X-EX-PAYLOAD: <string>' \
--header 'X-EX-SIGNATURE: <string>' \
--header 'Content-Type: application/json' \
--header 'Accept: */*' \
--data '{
  "payoutId": "<string>"
}'
```

**Example Curl**

```powershell
curl --location --request POST 'https://app.thedex.cloud/api/v1/payouts/one' \
--header 'X-EX-APIKEY: abcd1234apikeyexample' \
--header 'X-EX-PAYLOAD: eyJwYXlvdXRJZCI6ICJmZTc1NzI2YS1lYjM1LTQ5ZWYtODJjNi0wOTgxMjM0NTY3ODkifQ==' \
--header 'X-EX-SIGNATURE: 9f3c1ea0b95a4e049a7b2a3c3d8f2c947e2b40d1886f2ab63fbc725d6fa95fbc' \
--header 'Content-Type: application/json' \
--header 'Accept: */*' \
--data '{
  "payoutId": "fe75726a-eb35-49ef-82c6-098123456789"
}'

```

**Possible errors**

<details>

<summary>Response code: 400</summary>

General validation error: malformed UUID parameter.

```json
{
    "error": "Bad Request",
    "status": 400,
    "timestamp": "2026-01-16 00:00:00",
    "message": "payoutId: Invalid UUID format",
    "path": "/api/v1/payouts/one"
}
```

</details>

<details>

<summary>Response code: 401</summary>

In case of incorrect signature, api key or payload header

```json
{
    "error": "Unauthorized",
    "status": 401,
    "timestamp": "2026-01-01 00:00:00",
    "message": "Request is not authorized"
}
```

</details>

<details>

<summary>Response code 500</summary>

In case if payout not exist.

```json
{
    "error": "Internal Server Error",
    "status": 500,
    "timestamp": "2026-01-16 04:22:25",
    "message": "Cannot get an payout"
}
```

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thedex.cloud/documentation/payouts/fetch-payout.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
